3 Replies Latest reply on Dec 20, 2016 6:45 PM by Nilesh Patel

    Adding configuration parameters

    Sanya Shmidt

      Hello Guys!

       

      Can anyone point me in the right direction. I`m trying to add configuration with PROMOTE option chosen. So far I have:

       

         Dim swApp As SldWorks.SldWorks

         Dim swModel As ModelDoc2

         Dim config As Configuration

         Dim swConfMgr As SldWorks.ConfigurationManager

       

         swApp = GetObject(, "SldWorks.Application")

         swModel = swApp.ActiveDoc

       

         ' Adding configurations "DRAWINGS"

         swConfMgr = swModel.ConfigurationManager

         config = swConfMgr.AddConfiguration("DRAWINGS", "Comment", swModel.GetTitle, swConfigurationOptions2_e.swConfigOption_DoDisolveInBOM , "", "Desc")

       

      according to API help you have to use : swConfigOption_DoDisolveInBOM

       

      But it doesn`t do anything. It still shows as

       

       

       

      Any ideas why?

       

      Thank you.